Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044919
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Gift cards and gift vouchersmajoralways2020-08-28 13:512020-09-21 07:10
ReporterngarciaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044919: When customer is set as Unique Credit Note, the next printed credit notes don't have the original credit note number

DescriptionWhen customer is set as Unique Credit Note, the next printed credit notes don't have the original credit note number
Steps To ReproduceIn the backoffice:
   Start the Hardware Manager
   Configure the Hardware URL for the PS-1 Touchpoint:
      http://localhost:8090/printer [^]
   Check Arturo Montoro has Unique Credit Note option selected
   Access PS-1 terminal:
      https://livebuilds.openbravo.com/retail_modules_pgsql_pi/web/org.openbravo.retail.posterminal/?terminal=PS-1 [^]


   Create two receipts for Arturo Montoro
   Return one receipt in Credit Note
   Check the printed credit note has the same number than the record created in gift card instance window
   Return the other receipt in Credit Note
   Check the printed credit note has a different number than the record created in gift card instance window and it should be the same (the original credit note number)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0123076)
hgbot (developer)
2020-09-16 05:52

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/merge_requests/25 [^]
(0123237)
hgbot (developer)
2020-09-21 07:10

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards [^]
Changeset: a5ad646c7912c9f8e79ded5b57df7efa6ff3d105
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-09-16T09:21:45+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/commit/a5ad646c7912c9f8e79ded5b57df7efa6ff3d105 [^]

Fixed ISSUE-44919: CreditNote searchKey should be updated before printing if payment status is negative
* For Unique Credit Note, while printing, searckey should be updated with existing creditNote

---
M web/org.openbravo.retail.giftcards/js/hooks/printGiftCardPrePrintHook.js
---
(0123238)
hgbot (developer)
2020-09-21 07:10

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/merge_requests/25 [^]

- Issue History
Date Modified Username Field Change
2020-08-28 13:51 ngarcia New Issue
2020-08-28 13:51 ngarcia Assigned To => Retail
2020-08-28 13:51 ngarcia Triggers an Emergency Pack => No
2020-08-28 13:51 ngarcia Issue Monitored: networkb
2020-09-14 09:21 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-09-15 04:39 ranjith_qualiantech_com Status new => scheduled
2020-09-16 05:52 hgbot Note Added: 0123076
2020-09-21 07:10 hgbot Resolution open => fixed
2020-09-21 07:10 hgbot Status scheduled => closed
2020-09-21 07:10 hgbot Note Added: 0123237
2020-09-21 07:10 hgbot Note Added: 0123238


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker